gi-cairo-1.0.24: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Path

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype Path = Path (ManagedPtr Path)

# Exported types

newtype Path Source #

Memory-managed wrapper type.

Constructors

Path (ManagedPtr Path) |

#### Instances

Instances details

Eq Path Source # |
Instance details Defined in GI.Cairo.Structs.Path Methods (==) :: Path -> Path -> Bool # (/=) :: Path -> Path -> Bool #
ManagedPtrNewtype Path Source # |
Instance details Defined in GI.Cairo.Structs.Path Methods toManagedPtr :: Path -> ManagedPtr Path Source #
BoxedPtr Path Source # |
Instance details Defined in GI.Cairo.Structs.Path Methods boxedPtrCopy :: Path -> IO Path Source # boxedPtrFree :: Path -> IO () Source #

# Methods

## Overloaded methods